# Tungsten

A limited-palette 2D drawing program for Uxn, designed to be pleasant to use on the NintendoDS.



## Assembling

The program is one monolithic TAL source file, assembled with [`uxnasm` from 100r](https://git.sr.ht/~rabbits/uxn/).

The assembler by default only allows 256 macro definitions in one program, but because Tungsten uses upwards of 400 macro definitions I've modified the assembler slightly to accomodate.

To increase the macro definition limit on your machine, go to the file `src/uxnasm.c` and change the line `Macro macros[0x100]` to `Macro macros[0x400]`, and the line
`if(p.mlen == 0x100)` to `if(p.mlen == 0x400)`. Recompile `uxnasm` and you're all good to go.
